<nav class="sidebar" [ngClass]="{sidebarPushRight: isActive, collapsed: collapsed}">
    <div class="list-group">
        
        <!-- ITEM MENU - DASHBOARD -->
        <a routerLink="/dashboard" [routerLinkActive]="['router-link-active']" class="list-group-item">
            <i class="fa fa-fw fa-dashboard"></i>&nbsp;
            <span>{{ 'Dashboard' | translate }}</span>
        </a>

        <!-- LIST ITENS MENU - CADASTROS -->
        <div class="nested-menu">
            <a class="list-group-item" (click)="addExpandClass('pages')">
                <i class="fa fa-database"></i>&nbsp;
                <span>{{ 'Cadastros' | translate }}</span>
            </a>
            <li class="nested" [class.expand]="showMenu === 'pages'">
                <ul class="submenu">
                    <!-- ITEM MENU - USUÁRIOS -->
                    <li>
                        <a routerLink="/usuarios" [routerLinkActive]="['router-link-active']" id="hover-to" class="list-group-item">
                            <i class="fa fa-fw fas fa-users"></i>&nbsp;
                            <span>{{ 'Users' | translate }}</span>
                        </a>
                    </li>

                    <!-- ITEM MENU - VEÍCULOS -->
                    <!--
                    <li>
                        <a routerLink="/users" [routerLinkActive]="['router-link-active']" id="hover-to" class="list-group-item">
                            <i class="fa fa-fw fas fa fa-car"></i>&nbsp;
                            <span>{{ 'Veículos' | translate }}</span>
                        </a>
                    </li>
                    -->

                    <!-- ITEM MENU - CIDADE -->
                    <li>
                        <a routerLink="/cidades" [routerLinkActive]="['router-link-active']" id="hover-to" class="list-group-item">
                            <i class="fa fa-fw fas fa fa-map"></i>&nbsp;
                            <span>{{ 'Cidades' | translate }}</span>
                        </a>
                    </li>

                </ul>
            </li>
        </div> 

        <!-- LIST ITENS MENU - JOGOS -->
        
        <div class="nested-menu">
            <a class="list-group-item" (click)="addExpandClassGames('pages')">
                <i class="fa fa-gamepad"></i>&nbsp;
                <span>{{ 'Jogos' | translate }}</span>
            </a>
            <li class="nested" [class.expand]="showMenuGames === 'pages'">
                <ul class="submenu">
                
                    <!-- ITEM MENU - JOGO DA FORCA -->
                    <!--
                    <li>
                        <a routerLink="/associateds" [routerLinkActive]="['router-link-active']" id="hover-to-games" class="list-group-item">
                            <i class="fa fa-language"></i>&nbsp;
                            <span>{{ 'Jogo da forca' | translate }}</span>
                        </a>
                    </li>
                    -->
                    <!-- ITEM MENU - USERS -->
                    <!--
                    <li>
                        <a routerLink="/users" [routerLinkActive]="['router-link-active']" id="hover-to-games" class="list-group-item">
                            <i class="fa fa-braille"></i>&nbsp;
                            <span>{{ 'Jogo da velha' | translate }}</span>
                        </a>
                    </li>
                    -->
                    <!-- ITEM MENU - MEGASENA -->
                    <li>
                        <a routerLink="/megasena" [routerLinkActive]="['router-link-active']" id="hover-to-games" class="list-group-item">
                            <i class="fa fa-braille"></i>&nbsp;
                            <span>{{ 'Mega-sena' | translate }}</span>
                        </a>
                    </li>
                
                </ul>
            </li>
        </div> 
        
        <!--
        <a [routerLink]="['/charts']" [routerLinkActive]="['router-link-active']" class="list-group-item">
            <i class="fa fa-fw fa-bar-chart-o"></i>&nbsp;
            <span>{{ 'Charts' | translate }}</span>
        </a>
        <a [routerLink]="['/tables']" [routerLinkActive]="['router-link-active']" class="list-group-item">
            <i class="fa fa-fw fa-table"></i>&nbsp;
            <span>{{ 'Tables' | translate }}</span>
        </a>
        <a [routerLink]="['/forms']" [routerLinkActive]="['router-link-active']" class="list-group-item">
            <i class="fa fa-fw fa-edit"></i>&nbsp;
            <span>{{ 'Forms' | translate }}</span>
        </a>
        <a [routerLink]="['/bs-element']" [routerLinkActive]="['router-link-active']" class="list-group-item">
            <i class="fa fa-fw fa-desktop"></i>&nbsp;
            <span>{{ 'Bootstrap Element' | translate }}</span>
        </a>
        <a [routerLink]="['/grid']" [routerLinkActive]="['router-link-active']" class="list-group-item">
            <i class="fa fa-fw fa-wrench"></i>&nbsp;
            <span>{{ 'Bootstrap Grid' | translate }}</span>
        </a>
        <a [routerLink]="['/components']" [routerLinkActive]="['router-link-active']" class="list-group-item">
            <i class="fa fa-th-list"></i>&nbsp;
            <span>{{ 'Component' | translate }}</span>
        </a>
        <div class="nested-menu">
            <a class="list-group-item" (click)="addExpandClass('pages')">
                <i class="fa fa-plus"></i>&nbsp;
                <span>{{ 'Menu' | translate }}</span>
            </a>
            <li class="nested" [class.expand]="showMenu === 'pages'">
                <ul class="submenu">
                    <li>
                        <a href="javascript:void(0)">
                            <i class="fa fa-monument"></i>&nbsp;
                            <span>{{ 'Submenu' | translate }}</span>
                        </a>
                    </li>
                    <li>
                        <a href="javascript:void(0)">
                            <i class="fa fa-monument"></i>&nbsp;
                            <span>{{ 'Submenu' | translate }}</span>
                        </a>
                    </li>
                    <li>
                        <a href="javascript:void(0)">
                            <i class="fa fa-monument"></i>&nbsp;
                            <span>{{ 'Submenu' | translate }}</span>
                        </a>
                    </li>
                </ul>
            </li>
        </div>
        <a [routerLink]="['/blank-page']" [routerLinkActive]="['router-link-active']" class="list-group-item">
            <i class="fa fa-file-o"></i>&nbsp;
            <span>{{ 'Blank Page' | translate }}</span>
        </a>
        <a href="http://www.strapui.com/" class="list-group-item">
            <i class="fa fa-caret-down"></i>&nbsp;
            <span>{{ 'More Themes' | translate }}</span>
        </a>
        -->

        <!-- DROPDOWN OPÇÕES DE IDIOMA -->
        <div class="header-fields">
            <!-- 
            <a (click)="rltAndLtr()" class="list-group-item">
                <span><i class="fa fa-arrows-h"></i>&nbsp; RTL/LTR</span>
            </a> 
            -->
            <!--
            <div class="nested-menu">
                <a class="list-group-item" (click)="addExpandClass('languages')">
                    <span><i class="fa fa-language"></i>&nbsp; {{ 'Language' | translate }} <b class="caret"></b></span>
                </a>
                -->

                <!-- ITENS MENU - OPÇÕES DE IDIOMA -->
                <!--
                <li class="nested" [class.expand]="showMenu === 'languages'">
                    <ul class="submenu">
                        <li>
                            <a href="javascript:void(0)" (click)="changeLang('en')">
                                {{ 'English' | translate }}
                            </a>
                        </li>
                        <li>
                            <a href="javascript:void(0)" (click)="changeLang('fr')">
                                {{ 'French' | translate }}
                            </a>
                        </li>
                        <li>
                            <a href="javascript:void(0)" (click)="changeLang('ur')">
                                {{ 'Urdu' | translate }}
                            </a>
                        </li>
                        <li>
                            <a href="javascript:void(0)" (click)="changeLang('es')">
                                {{ 'Spanish' | translate }}
                            </a>
                        </li>
                        <li>
                            <a href="javascript:void(0)" (click)="changeLang('it')">
                                {{ 'Italian' | translate }}
                            </a>
                        </li>
                        <li>
                            <a href="javascript:void(0)" (click)="changeLang('fa')">
                                {{ 'Farsi' | translate }}
                            </a>
                        </li>
                        <li>
                            <a href="javascript:void(0)" (click)="changeLang('de')">
                                {{ 'German' | translate }}
                            </a>
                        </li>
                    </ul>
                </li>
            </div>
            -->

            <!-- ITENS MENU - OPÇÕES DO PERFIL -->
            <div class="nested-menu">

                <!-- DROPDOWN OPÇÕES DO PERFIL -->
                <a class="list-group-item" (click)="addExpandClass('profile')">
                    <span><i class="fa fa-user"></i>&nbsp; {{ user.nome }}</span>
                </a>
                <li class="nested" [class.expand]="showMenu === 'profile'">
                    <ul class="submenu">
                        <li>
                            <a href="javascript:void(0)">
                                <span><i class="fa fa-fw fa-user"></i> {{ 'Profile' | translate }}</span>
                            </a>
                        </li>
                        <li>
                            <a href="javascript:void(0)">
                                <span><i class="fa fa-fw fa-envelope"></i> {{ 'Inbox' | translate }}</span>
                            </a>
                        </li>
                        <li>
                            <a href="javascript:void(0)">
                                <span><i class="fa fa-fw fa-gear"></i> {{ 'Settings' | translate }}</span>
                            </a>
                        </li>
                        <li>
                            <a [routerLink]="['/login']" (click)="onLoggedout()">
                                <span><i class="fa fa-fw fa-power-off"></i> {{ 'Log Out' | translate }}</span>
                            </a>
                        </li>
                    </ul>
                </li>
            </div>
        </div>
    </div>

    <!-- BOTÃO SIDE-MENU -->
    <div class="toggle-button" [ngClass]="{collapsed: collapsed}" (click)="toggleCollapsed()">
        <i class="fa fa-fw fa-angle-double-{{collapsed?'right':'left'}}"></i>&nbsp;
        <span>{{ 'Collapse Sidebar' | translate }}</span>
    </div>
</nav>
